<?php
// comments.php
// Neptune theme for WordPress 1.5
// Copyright (C) 2005 Ben de Groot
// Distributed under the terms of the GNU General Public License v2

// Do not delete these lines
if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');

	if (!empty($post->post_password)) { // if there's a password
		if ($_COOKIE['wp-postpass_'.$cookiehash] != $post->post_password) {  // and it doesn't match the cookie
			?>

			<p class="nocomments"><?php _e("This post is password protected. Enter the password to view comments."); ?><p>

			<?php
			return;
		}
	}

// Comments numbering hack, because doing this with CSS only is problematic in anything but Firefox
$nepComment = 1;
?>

<?php if ($comments) : ?>
<h3 id="comments"><?php comments_number('No Comments', '1 Comment', '% Comments');?> to &#8216;<?php the_title(); ?>&#8217;:</h3>

<ol class="commentlist">

<?php foreach ($comments as $comment) : ?>
	<li id="comment-<?php comment_ID() ?>"<?php 
if (function_exists('author_highlight')) {
    author_highlight(); 
} ?>>
	<p class="posted"><cite><?php comment_author_link() ?></cite>
	on <a href="<?php the_permalink() ?>#comment-<?php comment_ID() ?>" title=""><?php comment_date('j M Y') ?> at <?php comment_time() ?></a>:
	<?php edit_comment_link('&#187; Edit','',''); ?><span class="comno"><?php echo $nepComment; $nepComment++; ?></span></p>
	<?php comment_text() ?>
	</li>
<?php endforeach; /* end for each comment */ ?>

</ol>

<?php endif; ?>

<?php if ('open' == $post-> comment_status) : 
if (function_exists('comment_preview')) {
    comment_preview(); // draws the code for the comments form from the ComPreVal plugin 
} else { // 'normal' comments form 
?>
<div id="postcomment">
<h3 id="respond">Leave a Reply</h3>
<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
<p><label for="comment">Your Comment</label>
<textarea name="comment" id="comment" cols="50" rows="10"></textarea></p>
<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" />
<label for="author">Name</label></p>
<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" />
<label for="email">Email (will not be published)</label></p>
<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" />
<label for="url">Website</label></p>
<p><input name="submitComment" type="submit" id="submitComment" value="Submit" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" /></p>
<?php do_action('comment_form', $post->ID); ?>
</form>
</div>
<?php } ?>

<?php else : // comments are closed ?>

	<p class="nocomments">Comments are closed.</p>

<?php endif; ?>
