<?php
// header.php
// Neptune theme for WordPress 1.5
// Copyright (C) 2005 Ben de Groot
// Distributed under the terms of the GNU General Public License v2

// Let's transform this stuff into HTML, so the mime-type issue will become easier ;)
function nepHTMLize($buffer) {
	return (preg_replace("!\s*/>!", ">", $buffer));
}
ob_start("nepHTMLize");
$charset= get_settings('blog_charset');
header("Content-Type: text/html;charset=$charset");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
<head>
	<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
	<base href="<?php echo get_settings('home'); ?>/" />
	<meta http-equiv="content-type" content="text/html;charset=<?php bloginfo('charset'); ?>" />
	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
	<link rel="stylesheet" type="text/css" media="screen,projection" href="<?php bloginfo('stylesheet_url'); ?>" />
	<link rel="stylesheet" type="text/css" media="print" href="<?php echo get_settings('siteurl'); ?>/print.css" />
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<link rel="icon" href="<?php bloginfo('template_url'); ?>/favicon.png" />
<?php wp_head(); ?>
</head>
<body>
<div id="wrap">
<div id="header">
	<h1><a href="<?php echo get_settings('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
	<p id="tagline"><?php bloginfo('description'); ?></p>
</div>
<div id="middle">
<div id="main">
<div id="content">
