<?php
// single.php
// Neptune theme for WordPress 1.5
// Copyright (C) 2005 Ben de Groot
// Distributed under the terms of the GNU General Public License v2

get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<p class="nav"><span class="prev"><?php previous_post('&#171; %','','yes') ?></span><span class="next"><?php next_post('% &#187;','','yes') ?></span></p>

<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php 
if (function_exists('ImageHeadline_imagine')) { 
    the_title('-image-'); 
} else {
    the_title();
} 
?></a></h2>
	<p class="posted">Published on <a href="<?php the_permalink() ?>" rel="bookmark" title="Permalink"><?php the_time('j M Y'); ?> at <?php the_time(); ?></a>.
	<a href="<?php the_permalink() ?>#comments"><?php comments_number('No Comments', '1 Comment', '% Comments'); ?></a>.
	<?php edit_post_link($link = 'Edit', $before = '', $after = ''); ?><br />
	Filed under <?php the_category(','); ?>.</p>
<?php the_content('<p class="nav next">Read the rest of this entry &#187;</p>'); ?>

<?php comments_template(); ?>

<?php endwhile; ?>

<?php else: ?>
	<p>Sorry, nothing found.</p>
<?php endif; ?>

<?php get_footer(); ?>